# hogumathi Operations


## Release packaging steps

1) Clear python cache files:

https://stackoverflow.com/questions/28991015/python3-project-remove-pycache-folders-and-pyc-files#30659970

2) Create hogumathi-app_v__ and hogumathi-extensions_v___ directories.
3) Copy everthing into hogumathi-app_v___
4) Create a lib2 and extensions2 directory next to lib and extensions
5) Cut premium libs and extensions into the _2 folder, respectively.
6) Cut premium files and paste them into hogumathi-extensions_v___
7) rename _2 to remove the 2, simply lib and extensions.
8) After staging, create a zip for each and distribute

## Staging steps

1) Copy hogumathi-app_v___
2) Cut .env and .data into the copied directory
3) Run hogumathi from within the staging directory
4) QA the public release

5) Copy content of hogumathi-extensions_v___ into staging directory
6) Run hogumathi from within the staging directory
7) QA the premium release

## Deploy steps

1) Upload the hogumathi-app_v__ and hogumathi-extensions_v___ zip files to the Glitch assets tab
2) In Glitch terminal, change to .data/releases
3) Delete prior releases
4) Wget the URLs from the assets
5) Unzip the two .zip files
6) Copy the content of hogumathi-app_v__ directory to ~
7) Copy the content of hogumathi-extensions_v___ directory to ~/.data
8) Type 'refresh' into the console
9) Ensure operation
10) Delete the zip files from assets


## Distribution steps

1) Upload to Hogumathi Premium subscription on the Content tab; ensure it's available to all tiers.
2) Post an announcement to Patreon, twitter and other channels.


